/*
 * lis2dh12.h
 *
 *  Created on: 21.12.2018
 *      Author: PLARZAW1
 */

#ifndef DEVICES_INC_LIS2DH12_H_
#define DEVICES_INC_LIS2DH12_H_

#include "../../../Utilities/Inc/errors.h"
#include "ic_devices.h"



#define LIS2DH12_REG_ADDR__STATUS_REG_AUX 						0x07
#define LIS2DH12_REG_ADDR__OUT_TEMP_L 							0x0C
#define LIS2DH12_REG_ADDR__OUT_TEMP_H	 						0x0D
#define LIS2DH12_REG_ADDR__WHOAMI								0x0F
#define LIS2DH12_REG_ADDR__CTRL_REG0							0x1E
#define LIS2DH12_REG_ADDR__TEMP_CFG_REG							0x1F
#define LIS2DH12_REG_ADDR__CTRL_REG1							0x20

	#define LIS2DH12_REG_MASK__CTRL_REG1__ODR 		  			0xF0
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__POWERDOWN 		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__1HZ		 		0x10
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__10HZ			0x20
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__25HZ			0x30
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__50HZ			0x40
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__100HZ			0x50
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__200HZ			0x60
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__400HZ			0x70
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__1620HZ			0x80
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ODR__1344_5376HZ		0x90

	#define LIS2DH12_REG_MASK__CTRL_REG1__LPEN 		  			0x08
	#define LIS2DH12_REG_VALUE__CTRL_REG1__LPEN__NORMAL 		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG1__LPEN__LOWPOWER		0x08

	#define LIS2DH12_REG_MASK__CTRL_REG1__ZEN 		  			0x04
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ZEN__DISABLED 		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG1__ZEN__ENABLED 		0x04

	#define LIS2DH12_REG_MASK__CTRL_REG1__YEN 		  			0x02
	#define LIS2DH12_REG_VALUE__CTRL_REG1__YEN__DISABLED 		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG1__YEN__ENABLED 		0x02

	#define LIS2DH12_REG_MASK__CTRL_REG1__XEN 		  			0x01
	#define LIS2DH12_REG_VALUE__CTRL_REG1__XEN__DISABLED 		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG1__XEN__ENABLED 		0x01

#define LIS2DH12_REG_ADDR__CTRL_REG2							0x21

	#define LIS2DH12_REG_MASK__CTRL_REG2__HPM 		  			0xC0
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HPM__NORMAL_REF 		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HPM__REFERENCE 		0x40
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HPM__NORMAL 			0x80
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HPM__AUTORESET_INT 	0xC0

	#define LIS2DH12_REG_MASK__CTRL_REG2__HPCF 		  			0x30

	#define LIS2DH12_REG_MASK__CTRL_REG2__FDS 		  			0x08
	#define LIS2DH12_REG_VALUE__CTRL_REG2__FDS__BYPASS	 		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG2__FDS__ENABLE 			0x08

	#define LIS2DH12_REG_MASK__CTRL_REG2__HPCLICK 	  			0x04
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HPCLICK__BYPASS		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HPCLICK__ENABLE 		0x04

	#define LIS2DH12_REG_MASK__CTRL_REG2__HP_IA2 	  			0x02
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HP_IA2__BYPASS		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HP_IA2__ENABLE 		0x02

	#define LIS2DH12_REG_MASK__CTRL_REG2__HP_IA1 	  			0x01
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HP_IA1__BYPASS		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG2__HP_IA1__ENABLE 		0x01

#define LIS2DH12_REG_ADDR__CTRL_REG3							0x22

	#define LIS2DH12_REG_MASK__CTRL_REG3__I1_CLICK 	  			0x80
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_CLICK__DISABLE	0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_CLICK__ENABLE 	0x80

	#define LIS2DH12_REG_MASK__CTRL_REG3__I1_IA1 	  			0x40
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_IA1__DISABLE		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_IA1__ENABLE 		0x40

	#define LIS2DH12_REG_MASK__CTRL_REG3__I1_IA2 	  			0x20
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_IA2__DISABLE		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_IA2__ENABLE 		0x20

	#define LIS2DH12_REG_MASK__CTRL_REG3__I1_ZYXDA 	  			0x10
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_ZYXDA__DISABLE	0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_ZYXDA__ENABLE 	0x10

	#define LIS2DH12_REG_MASK__CTRL_REG3__I1_WTM 	  			0x02
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_WTM__DISABLE		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_WTM__ENABLE 		0x02

	#define LIS2DH12_REG_MASK__CTRL_REG3__I1_OVERRUN 	  		0x01
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_OVERRUN__DISABLE	0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG3__I1_OVERRUN__ENABLE 	0x01

#define LIS2DH12_REG_ADDR__CTRL_REG4							0x23

	#define LIS2DH12_REG_MASK__CTRL_REG4__BDU 			  		0x80
	#define LIS2DH12_REG_VALUE__CTRL_REG4__BDU__CONTINOUS		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG4__BDU__TOGETHER		0x80

	#define LIS2DH12_REG_MASK__CTRL_REG4__BLE 			  		0x40
	#define LIS2DH12_REG_VALUE__CTRL_REG4__BLE__BIGENDIAN		0x40
	#define LIS2DH12_REG_VALUE__CTRL_REG4__BLE__LITTLEENDIAN 	0x00

	#define LIS2DH12_REG_MASK__CTRL_REG4__FS 			  		0x30
	#define LIS2DH12_REG_VALUE__CTRL_REG4__FS__2G				0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG4__FS__4G 				0x10
	#define LIS2DH12_REG_VALUE__CTRL_REG4__FS__8G 				0x20
	#define LIS2DH12_REG_VALUE__CTRL_REG4__FS__16G 				0x30

	#define LIS2DH12_REG_MASK__CTRL_REG4__HR 			  		0x08
	#define LIS2DH12_REG_VALUE__CTRL_REG4__HR__1				0x08
	#define LIS2DH12_REG_VALUE__CTRL_REG4__HR__0				0x00

	#define LIS2DH12_REG_MASK__CTRL_REG4__ST 			  		0x06
	#define LIS2DH12_REG_VALUE__CTRL_REG4__ST__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG4__ST__TEST0 			0x02
	#define LIS2DH12_REG_VALUE__CTRL_REG4__ST__TEST1 			0x04

	#define LIS2DH12_REG_MASK__CTRL_REG4__SIM 			  		0x01
	#define LIS2DH12_REG_VALUE__CTRL_REG4__SIM__4WIRE			0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG4__SIM__3WIRE			0x01

#define LIS2DH12_REG_ADDR__CTRL_REG5							0x24

	#define LIS2DH12_REG_MASK__CTRL_REG5__BOOT 			  		0x80
	#define LIS2DH12_REG_VALUE__CTRL_REG5__BOOT__NORMAL			0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG5__BOOT__REBOOT			0x80

	#define LIS2DH12_REG_MASK__CTRL_REG5__FIFO_EN 				0x40
	#define LIS2DH12_REG_VALUE__CTRL_REG5__FIFO_EN__DISABLE		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG5__FIFO_EN__ENABLE		0x40

	#define LIS2DH12_REG_MASK__CTRL_REG5__LIR_INT1 				0x08
	#define LIS2DH12_REG_VALUE__CTRL_REG5__LIR_INT1__NOTLATCHED	0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG5__LIR_INT1__LATCHED	0x08

	#define LIS2DH12_REG_MASK__CTRL_REG5__D4D_INT1 				0x04
	#define LIS2DH12_REG_VALUE__CTRL_REG5__D4D_INT1__0			0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG5__D4D_INT1__1			0x04

	#define LIS2DH12_REG_MASK__CTRL_REG5__LIR_INT2 				0x02
	#define LIS2DH12_REG_VALUE__CTRL_REG5__LIR_INT2__NOTLATCHED	0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG5__LIR_INT2__LATCHED	0x02

	#define LIS2DH12_REG_MASK__CTRL_REG5__D4D_INT2 				0x01
	#define LIS2DH12_REG_VALUE__CTRL_REG5__D4D_INT2__0			0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG5__D4D_INT2__1			0x01

#define LIS2DH12_REG_ADDR__CTRL_REG6							0x25

	#define LIS2DH12_REG_MASK__CTRL_REG6__I2_CLICK 	  			0x80
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_CLICK__DISABLE	0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_CLICK__ENABLE 	0x80

	#define LIS2DH12_REG_MASK__CTRL_REG6__I2_IA1 	  			0x40
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_IA1__DISABLE		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_IA1__ENABLE 		0x40

	#define LIS2DH12_REG_MASK__CTRL_REG6__I2_IA2 	  			0x20
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_IA2__DISABLE		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_IA2__ENABLE 		0x20

	#define LIS2DH12_REG_MASK__CTRL_REG6__I2_BOOT 	  			0x10
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_BOOT__DISABLE		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_BOOT__ENABLE 		0x10

	#define LIS2DH12_REG_MASK__CTRL_REG6__I2_ACT 	  			0x08
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_ACT__DISABLE		0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG6__I2_ACT__ENABLE 		0x08

	#define LIS2DH12_REG_MASK__CTRL_REG6__INT_POLARITY 	  		0x02
	#define LIS2DH12_REG_VALUE__CTRL_REG6__INT_POLARITY__HIGH	0x00
	#define LIS2DH12_REG_VALUE__CTRL_REG6__INT_POLARITY__LOW 	0x02

#define LIS2DH12_REG_ADDR__REFERENCE							0x26
#define LIS2DH12_REG_ADDR__STATUS_REG							0x27

	#define LIS2DH12_REG_MASK__STATUS_REG__ZYXOR 	  			0x80
	#define LIS2DH12_REG_VALUE__STATUS_REG__ZYXOR__OVERRUN		0x80

	#define LIS2DH12_REG_MASK__STATUS_REG__ZOR	 	  			0x40
	#define LIS2DH12_REG_VALUE__STATUS_REG__ZOR__OVERRUN		0x40

	#define LIS2DH12_REG_MASK__STATUS_REG__YOR	 	  			0x20
	#define LIS2DH12_REG_VALUE__STATUS_REG__YOR__OVERRUN		0x20

	#define LIS2DH12_REG_MASK__STATUS_REG__XOR	 	  			0x10
	#define LIS2DH12_REG_VALUE__STATUS_REG__XOR__OVERRUN		0x10

	#define LIS2DH12_REG_MASK__STATUS_REG__ZYXDA 	  			0x08
	#define LIS2DH12_REG_VALUE__STATUS_REG__ZYXDA__AVAILABLE	0x08

	#define LIS2DH12_REG_MASK__STATUS_REG__ZDA	 	  			0x04
	#define LIS2DH12_REG_VALUE__STATUS_REG__ZDA__AVAILABLE		0x04

	#define LIS2DH12_REG_MASK__STATUS_REG__YDA	 	  			0x02
	#define LIS2DH12_REG_VALUE__STATUS_REG__YDA__AVAILABLE		0x02

	#define LIS2DH12_REG_MASK__STATUS_REG__XDA	 	  			0x01
	#define LIS2DH12_REG_VALUE__STATUS_REG__XDA__AVAILABLE		0x01

#define LIS2DH12_REG_ADDR__OUT_X_L								0x28
#define LIS2DH12_REG_ADDR__OUT_X_H								0x29
#define LIS2DH12_REG_ADDR__OUT_Y_L								0x2A
#define LIS2DH12_REG_ADDR__OUT_Y_H								0x2B
#define LIS2DH12_REG_ADDR__OUT_Z_L								0x2C
#define LIS2DH12_REG_ADDR__OUT_Z_H								0x2D
#define LIS2DH12_REG_ADDR__FIFO_CTRL_REG						0x2E

	#define LIS2DH12_REG_MASK__FIFO_CTRL_REG__FM	  			0xC0
	#define LIS2DH12_REG_VALUE__FIFO_CTRL_REG__FM__BYPASS		0x00
	#define LIS2DH12_REG_VALUE__FIFO_CTRL_REG__FM__FIFO		    0x40
	#define LIS2DH12_REG_VALUE__FIFO_CTRL_REG__FM__STREAM		0x80
	#define LIS2DH12_REG_VALUE__FIFO_CTRL_REG__FM__STREAMTOFIFO	0xC0

	#define LIS2DH12_REG_MASK__FIFO_CTRL_REG__TR	  			0x20
	#define LIS2DH12_REG_VALUE__FIFO_CTRL_REG__TR__INT1			0x00
	#define LIS2DH12_REG_VALUE__FIFO_CTRL_REG__TR__INT2			0x20

	#define LIS2DH12_REG_MASK__FIFO_CTRL_REG__FTH	  			0x1F

#define LIS2DH12_REG_ADDR__FIFO_SRC_REG							0x2F

	#define LIS2DH12_REG_MASK__FIFO_SRC_REG__WTM  				0x80
	#define LIS2DH12_REG_VALUE__FIFO_SRC_REG__WTM__ACTIVE		0x80

	#define LIS2DH12_REG_MASK__FIFO_SRC_REG__OVRN_FIFO  		0x40
	#define LIS2DH12_REG_VALUE__FIFO_SRC_REG__OVRN_FIFO__ACTIVE	0x40

	#define LIS2DH12_REG_MASK__FIFO_SRC_REG__EMPTY  			0x20
	#define LIS2DH12_REG_VALUE__FIFO_SRC_REG__EMPTY__ACTIVE		0x20

	#define LIS2DH12_REG_MASK__FIFO_SRC_REG__FSS	  			0x1F

#define LIS2DH12_REG_ADDR__INT1_CFG								0x30

	#define LIS2DH12_REG_MASK__INT1_CFG__AOI	 	 			0x80
	#define LIS2DH12_REG_VALUE__INT1_CFG__AOI__OR				0x00
	#define LIS2DH12_REG_VALUE__INT1_CFG__AOI__AND				0x80

	#define LIS2DH12_REG_MASK__INT1_CFG__6D	 	 				0x40
	#define LIS2DH12_REG_VALUE__INT1_CFG__6D__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT1_CFG__6D__ENABLE			0x40

	#define LIS2DH12_REG_MASK__INT1_CFG__ZHIE	  				0x20
	#define LIS2DH12_REG_VALUE__INT1_CFG__ZHIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT1_CFG__ZHIE__ENABLE			0x20

	#define LIS2DH12_REG_MASK__INT1_CFG__ZLIE	  				0x10
	#define LIS2DH12_REG_VALUE__INT1_CFG__ZLIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT1_CFG__ZLIE__ENABLE			0x10

	#define LIS2DH12_REG_MASK__INT1_CFG__YHIE	  				0x08
	#define LIS2DH12_REG_VALUE__INT1_CFG__YHIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT1_CFG__YHIE__ENABLE			0x08

	#define LIS2DH12_REG_MASK__INT1_CFG__YLIE	  				0x04
	#define LIS2DH12_REG_VALUE__INT1_CFG__YLIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT1_CFG__YLIE__ENABLE			0x04

	#define LIS2DH12_REG_MASK__INT1_CFG__XHIE	  				0x02
	#define LIS2DH12_REG_VALUE__INT1_CFG__XHIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT1_CFG__XHIE__ENABLE			0x02

	#define LIS2DH12_REG_MASK__INT1_CFG__XLIE	  				0x01
	#define LIS2DH12_REG_VALUE__INT1_CFG__XLIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT1_CFG__XLIE__ENABLE			0x01

#define LIS2DH12_REG_ADDR__INT1_SRC								0x31

	#define LIS2DH12_REG_MASK__INT1_SRC__IA	 	 				0x40
	#define LIS2DH12_REG_VALUE__INT1_SRC__IA__ACTIVE			0x40

	#define LIS2DH12_REG_MASK__INT1_SRC__ZH	  					0x20
	#define LIS2DH12_REG_VALUE__INT1_SRC__ZH__ACTIVE			0x20

	#define LIS2DH12_REG_MASK__INT1_SRC__ZL	  					0x10
	#define LIS2DH12_REG_VALUE__INT1_SRC__ZL__ACTIVE			0x10

	#define LIS2DH12_REG_MASK__INT1_SRC__YH	  					0x08
	#define LIS2DH12_REG_VALUE__INT1_SRC__YH__ACTIVE			0x08

	#define LIS2DH12_REG_MASK__INT1_SRC__YL	  					0x04
	#define LIS2DH12_REG_VALUE__INT1_SRC__YL__ACTIVE			0x04

	#define LIS2DH12_REG_MASK__INT1_SRC__XH	  					0x02
	#define LIS2DH12_REG_VALUE__INT1_SRC__XH__ACTIVE			0x02

	#define LIS2DH12_REG_MASK__INT1_SRC__XL	  					0x01
	#define LIS2DH12_REG_VALUE__INT1_SRC__XL__ACTIVE			0x01

#define LIS2DH12_REG_ADDR__INT1_THS								0x32
#define LIS2DH12_REG_ADDR__INT1_DURATION						0x33
#define LIS2DH12_REG_ADDR__INT2_CFG								0x34

	#define LIS2DH12_REG_MASK__INT2_CFG__AOI	 	 			0x80
	#define LIS2DH12_REG_VALUE__INT2_CFG__AOI__OR				0x00
	#define LIS2DH12_REG_VALUE__INT2_CFG__AOI__AND				0x80

	#define LIS2DH12_REG_MASK__INT2_CFG__6D	 	 				0x40
	#define LIS2DH12_REG_VALUE__INT2_CFG__6D__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT2_CFG__6D__ENABLE			0x40

	#define LIS2DH12_REG_MASK__INT2_CFG__ZHIE	  				0x20
	#define LIS2DH12_REG_VALUE__INT2_CFG__ZHIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT2_CFG__ZHIE__ENABLE			0x20

	#define LIS2DH12_REG_MASK__INT2_CFG__ZLIE	  				0x10
	#define LIS2DH12_REG_VALUE__INT2_CFG__ZLIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT2_CFG__ZLIE__ENABLE			0x10

	#define LIS2DH12_REG_MASK__INT2_CFG__YHIE	  				0x08
	#define LIS2DH12_REG_VALUE__INT2_CFG__YHIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT2_CFG__YHIE__ENABLE			0x08

	#define LIS2DH12_REG_MASK__INT2_CFG__YLIE	  				0x04
	#define LIS2DH12_REG_VALUE__INT2_CFG__YLIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT2_CFG__YLIE__ENABLE			0x04

	#define LIS2DH12_REG_MASK__INT2_CFG__XHIE	  				0x02
	#define LIS2DH12_REG_VALUE__INT2_CFG__XHIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT2_CFG__XHIE__ENABLE			0x02

	#define LIS2DH12_REG_MASK__INT2_CFG__XLIE	  				0x01
	#define LIS2DH12_REG_VALUE__INT2_CFG__XLIE__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__INT2_CFG__XLIE__ENABLE			0x01

#define LIS2DH12_REG_ADDR__INT2_SRC								0x35
#define LIS2DH12_REG_ADDR__INT2_THS								0x36
#define LIS2DH12_REG_ADDR__INT2_DURATION						0x37
#define LIS2DH12_REG_ADDR__CLICK_CFG							0x38

	#define LIS2DH12_REG_MASK__CLICK_CFG__ZD	  				0x20
	#define LIS2DH12_REG_VALUE__CLICK_CFG__ZD__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__CLICK_CFG__ZD__ENABLE			0x20

	#define LIS2DH12_REG_MASK__CLICK_CFG__ZS	  				0x10
	#define LIS2DH12_REG_VALUE__CLICK_CFG__ZS__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__CLICK_CFG__ZS__ENABLE			0x10

	#define LIS2DH12_REG_MASK__CLICK_CFG__YD	  				0x08
	#define LIS2DH12_REG_VALUE__CLICK_CFG__YD__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__CLICK_CFG__YD__ENABLE			0x08

	#define LIS2DH12_REG_MASK__CLICK_CFG__YS	  				0x04
	#define LIS2DH12_REG_VALUE__CLICK_CFG__YS__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__CLICK_CFG__YS__ENABLE			0x04

	#define LIS2DH12_REG_MASK__CLICK_CFG__XD	  				0x02
	#define LIS2DH12_REG_VALUE__CLICK_CFG__XD__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__CLICK_CFG__XD__ENABLE			0x02

	#define LIS2DH12_REG_MASK__CLICK_CFG__XS	  				0x01
	#define LIS2DH12_REG_VALUE__CLICK_CFG__XS__DISABLE			0x00
	#define LIS2DH12_REG_VALUE__CLICK_CFG__XS__ENABLE			0x01

#define LIS2DH12_REG_ADDR__CLICK_SRC							0x39

	#define LIS2DH12_REG_MASK__CLICK_SRC__IA	 	 			0x40
	#define LIS2DH12_REG_VALUE__CLICK_SRC__IA__ACTIVE			0x40

	#define LIS2DH12_REG_MASK__CLICK_SRC__DCLICK				0x20
	#define LIS2DH12_REG_VALUE__CLICK_SRC__DCLICK__ACTIVE		0x20

	#define LIS2DH12_REG_MASK__CLICK_SRC__SCLICK	  			0x10
	#define LIS2DH12_REG_VALUE__CLICK_SRC__SCLICK__ACTIVE		0x10

	#define LIS2DH12_REG_MASK__CLICK_SRC__SIGN	  				0x08
	#define LIS2DH12_REG_VALUE__CLICK_SRC__SIGN__POSITIVE		0x00
	#define LIS2DH12_REG_VALUE__CLICK_SRC__SIGN__NEGATIVE		0x08

	#define LIS2DH12_REG_MASK__CLICK_SRC__Z		  				0x04
	#define LIS2DH12_REG_VALUE__CLICK_SRC__Z__ACTIVE			0x04

	#define LIS2DH12_REG_MASK__CLICK_SRC__Y	  					0x02
	#define LIS2DH12_REG_VALUE__CLICK_SRC__Y__ACTIVE			0x02

	#define LIS2DH12_REG_MASK__CLICK_SRC__X	  					0x01
	#define LIS2DH12_REG_VALUE__CLICK_SRC__X__ACTIVE			0x01

#define LIS2DH12_REG_ADDR__CLICK_THS							0x3A

	#define LIS2DH12_REG_MASK__CLICK_THS__LIR_CLICK	  			0x80
	#define LIS2DH12_REG_VALUE__CLICK_THS__LIR_CLICK__1			0x80
	#define LIS2DH12_REG_VALUE__CLICK_THS__LIR_CLICK__0			0x00

	#define LIS2DH12_REG_MASK__CLICK_THS__THS		  			0x7F

#define LIS2DH12_REG_ADDR__TIME_LIMIT							0x3B
#define LIS2DH12_REG_ADDR__TIME_LATENCY							0x3C
#define LIS2DH12_REG_ADDR__TIME_WINDOW							0x3D
#define LIS2DH12_REG_ADDR__ACT_THS								0x3E
#define LIS2DH12_REG_ADDR__ACT_DUR								0x3F


err_code_t lis2dh12_Init(ic_address_t device);
err_code_t lis2dh12_WhoAmI(ic_address_t device);
err_code_t lis2dh12_ReadInterrupt(ic_address_t device);


#endif /* DEVICES_INC_LIS2DH12_H_ */
